// Copyright (c) 2017, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by an AGPL-3.0-style license
// that can be found in the LICENSE file.

import 'package:test/test.dart';

import 'core_test.dart' as core_test;
import 'misc_test.dart' as misc_test;
import 'parse_test.dart' as parse_test;
import 'print_test.dart' as print_test;
import 'codec_test.dart' as codec_test;
import 'lemma_test.dart' as lemma_test;
import 'throw_test.dart' as throw_test;
import 'testenv_test.dart' as testenv_test;

void main() {
  // Note that for some reason, it is necessary to run lemma_test last in order
  // to get full coverage (Dart Observatory entropy?).
  group('core', core_test.main);
  group('misc', misc_test.main);
  group('parse', parse_test.main);
  group('print', print_test.main);
  group('codec', codec_test.main);
  group('throw', throw_test.main);
  group('lemma', lemma_test.main);
  group('testenv', testenv_test.main);
}
